
<h2>Liste des comics</h2>
<div class="table-container mat-elevation-z8 bg-primary">
	<table mat-table #table [dataSource]="dataSource">

		<ng-container matColumnDef="title">
			<th mat-header-cell *matHeaderCellDef> Titre </th>
			<td mat-cell *matCellDef="let comics"> {{comics.titre}} </td>
		</ng-container>
	
		<ng-container matColumnDef="releaseDate">
			<th mat-header-cell *matHeaderCellDef> Date de sortie </th>
			<td mat-cell *matCellDef="let comics"> {{comics.dateSortie.toDateString()}} </td>
		</ng-container>

		<ng-container matColumnDef="image">
				<th mat-header-cell *matHeaderCellDef> Couverture </th>
				<td mat-cell *matCellDef="let comics">
					<img class="center-block"
					[src]='comics.imageUrl'
					[title]='comics.titre'
					[style.height.px] = 'imageHeight'
					[style.margin.px] = 'imageMargin'
					>
				</td>
		</ng-container>

		<tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
		
		<tr mat-row *matRowDef="let clickedRow; columns: displayedColumns" (click)="onRowClicked(clickedRow)"></tr>
		
	</table>
</div>
